Bug 199232 - [PATCH] graphics/ayam: Update to version 1.22
Summary: [PATCH] graphics/ayam: Update to version 1.22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-04-06 18:48 UTC by tkato432
Modified: 2015-10-10 14:50 UTC (History)
1 user (show)

See Also:


Attachments
graphics_ayam.diff (28.80 KB, patch)
2015-04-06 18:48 UTC, tkato432
no flags Details | Diff
graphics_ayam.diff (42.42 KB, patch)
2015-06-29 15:10 UTC, tkato432
no flags Details | Diff
graphics_ayam.diff (42.37 KB, patch)
2015-09-07 13:00 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2015-04-06 18:48:11 UTC
Created attachment 155270 [details]
graphics_ayam.diff
Comment 1 tkato432 2015-06-29 15:10:16 UTC
Created attachment 158161 [details]
graphics_ayam.diff

Version 1.22 has been released.
Comment 2 tkato432 2015-09-07 13:00:53 UTC
Created attachment 160796 [details]
graphics_ayam.diff

Chase r395389
Comment 3 John Marino freebsd_committer 2015-10-10 14:03:00 UTC
:(

The install step changes are completely unnecesssary and actually worse.  They all need to be rejected.  That is really causing a burden.  We've asked many times to not do these type of changes.
Comment 4 commit-hook freebsd_committer 2015-10-10 14:49:38 UTC
A commit references this bug:

Author: marino
Date: Sat Oct 10 14:49:30 UTC 2015
New revision: 399001
URL: https://svnweb.freebsd.org/changeset/ports/399001

Log:
  graphics/ayam: upgrade version 1.20 => 1.22

  I reverted most of the changes from 1-step to compound installation
  commands.

  PR:		199232
  Submitted by:	ports fury

Changes:
  head/graphics/ayam/Makefile
  head/graphics/ayam/distinfo
  head/graphics/ayam/files/patch-MF3D_mffile.c
  head/graphics/ayam/files/patch-MF3D_mfobject.c
  head/graphics/ayam/files/patch-MF3D_mfprimtv.c
  head/graphics/ayam/files/patch-MF3D_mftextrd.c
  head/graphics/ayam/files/patch-Makefile.shared
  head/graphics/ayam/files/patch-ayam.tcl
  head/graphics/ayam/files/patch-contrib-meta_metaobj.c
  head/graphics/ayam/files/patch-contrib_ai.c
  head/graphics/ayam/files/patch-contrib_sm.c
  head/graphics/ayam/files/patch-contrib_tree.c
  head/graphics/ayam/files/patch-objects_ncurve.c
  head/graphics/ayam/files/patch-objects_npatch.c
  head/graphics/ayam/files/patch-objects_riinc.c
  head/graphics/ayam/files/patch-objects_riproc.c
  head/graphics/ayam/files/patch-objects_root.c
  head/graphics/ayam/files/patch-objects_text.c
  head/graphics/ayam/files/patch-plugins_ayslx.c
  head/graphics/ayam/files/patch-scn-shaders_Makefile
  head/graphics/ayam/files/patch-tcl_shader.tcl
  head/graphics/ayam/files/patch-togl_togl.c
  head/graphics/ayam/pkg-plist